STRUCT RIO_ROUTE_O(9)

NAME
struct rio_route_ops - Per-switch route operations

SYNOPSIS
struct rio_route_ops {
  u16 vid;
  u16 did;
  int (* add_hook) (struct rio_mport * mport, u16 destid, u8 hopcount,u16 table, u16 route_destid, u8 route_port);
  int (* get_hook) (struct rio_mport * mport, u16 destid, u8 hopcount,u16 table, u16 route_destid, u8 * route_port);
};

MEMBERS

vid RIO vendor ID

did RIO device ID

add_hook
    Callback that adds a route entry

get_hook
    Callback that gets a route entry

DESCRIPTION

Defines the operations that are necessary to manipulate the route tables for a particular RIO switch device.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.